<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>ACTIVE_RESET_INITIATE&#160;:&#160;<a class="el" href="a00008.html#a4ed68363159bce20f8d1b5dbc550cdf0a15d221550d42eb78d2936e86ef922d44">types.h</a></li>
<li>ADC_DATA&#160;:&#160;<a class="el" href="a00008.html#acc81e3aa04d287235f9296f75bbb11eaa1dd47b8ebedd6c45d145f32ac883be3e">types.h</a></li>
<li>ADC_OUT_OF_RANGE&#160;:&#160;<a class="el" href="a00008.html#a4ed68363159bce20f8d1b5dbc550cdf0ae8b943da2800cb313c487261a9eec7b1">types.h</a></li>
<li>ALL_PARAMETERS_SIZE&#160;:&#160;<a class="el" href="a00005.html#aa0375ed7c3e9d7ce47ef30a4d56e7063">constants.h</a></li>
<li>API_DATA&#160;:&#160;<a class="el" href="a00014.html#af5b0aad33c573a8b41198ce110a4c8d7">vicoquery.h</a></li>
<li>API_DATAGRAM_FIRMWARE&#160;:&#160;<a class="el" href="a00014.html#a830a44e4f1bd63295d1bbbd8927b15bd">vicoquery.h</a></li>
<li>API_INTERNAL_DAEMON_CONNECTION&#160;:&#160;<a class="el" href="a00014.html#ad859707f7c9a34532f439d38acdffa1f">vicoquery.h</a></li>
<li>API_INTERNAL_DAEMONLOGLEVEL_KEY&#160;:&#160;<a class="el" href="a00014.html#a8d49a87c9046275d6ca203967e61cfd6">vicoquery.h</a></li>
<li>API_INTERNAL_DAEMONVERSION&#160;:&#160;<a class="el" href="a00014.html#a4d81cd0e04d8b476cfe482e5138f674f">vicoquery.h</a></li>
<li>API_INTERNAL_DEVICE_IP_ADDRESS_KEY&#160;:&#160;<a class="el" href="a00014.html#a7e6309d7350d4bf6b1091728ccb20146">vicoquery.h</a></li>
<li>API_INTERNAL_GET_PREFERRED_INTERFACE&#160;:&#160;<a class="el" href="a00014.html#abb43f4d6e8d0cc344cc19c4c09988eba">vicoquery.h</a></li>
<li>API_INTERNAL_GETDAEMONLOGLEVEL&#160;:&#160;<a class="el" href="a00014.html#ac72b2a35a41b23b93423672943e0e865">vicoquery.h</a></li>
<li>API_INTERNAL_GETDEVICEINFOBYINDEX&#160;:&#160;<a class="el" href="a00014.html#aa22c14b270d575213ef90374980e8308">vicoquery.h</a></li>
<li>API_INTERNAL_GETHOSTIPADDRESS&#160;:&#160;<a class="el" href="a00014.html#a564c724a31caff63631df706833f4ecf">vicoquery.h</a></li>
<li>API_INTERNAL_GETNUMBERDEVICES&#160;:&#160;<a class="el" href="a00014.html#a42a15cb15340702556689336a8a13341">vicoquery.h</a></li>
<li>API_INTERNAL_HOST_IP_ADDRESS_KEY&#160;:&#160;<a class="el" href="a00014.html#ab95550286f93dfcb2750ad876f73d030">vicoquery.h</a></li>
<li>API_INTERNAL_REFRESHDEVICECONNECTIONS&#160;:&#160;<a class="el" href="a00014.html#a7269dc3ce6e3e9d2e607205b07dced5f">vicoquery.h</a></li>
<li>API_INTERNAL_REMOVE_DEVICE_CONNECTION&#160;:&#160;<a class="el" href="a00014.html#afd96ef7c95c544388e074d8c03dd4666">vicoquery.h</a></li>
<li>API_INTERNAL_SCANTCP&#160;:&#160;<a class="el" href="a00014.html#aa840ae843ecaef0d07915ee43090bcf8">vicoquery.h</a></li>
<li>API_INTERNAL_SCANUDP&#160;:&#160;<a class="el" href="a00014.html#a05a3bbcb5a367ab62a44132b910fc2d7">vicoquery.h</a></li>
<li>API_INTERNAL_SCANUSB&#160;:&#160;<a class="el" href="a00014.html#abac1022b9c4987b2a54b8133e8831b92">vicoquery.h</a></li>
<li>API_INTERNAL_SCANUSBHID&#160;:&#160;<a class="el" href="a00014.html#a9046fa9cf062d7d701a7e8d85da9e82a">vicoquery.h</a></li>
<li>API_INTERNAL_SET_PREFERRED_INTERFACE&#160;:&#160;<a class="el" href="a00014.html#a331f9d59ce4d1e77a9e1adbf0874c890">vicoquery.h</a></li>
<li>API_INTERNAL_SETDAEMONLOGLEVEL&#160;:&#160;<a class="el" href="a00014.html#acd1cf6e1c9660e0f3c6a5774d254b842">vicoquery.h</a></li>
<li>API_INTERNAL_SETHOSTIPADDRESS&#160;:&#160;<a class="el" href="a00014.html#aff1ff3a5e1994991f73292bf8484d19b">vicoquery.h</a></li>
<li>API_INTERNAL_STOPTCP&#160;:&#160;<a class="el" href="a00014.html#ae56e73d9d59ed8b6238fc689179626db">vicoquery.h</a></li>
<li>API_INTERNAL_STOPUDP&#160;:&#160;<a class="el" href="a00014.html#a0e9cb76b35714bfdd3206be09e9eb63d">vicoquery.h</a></li>
<li>API_MCA&#160;:&#160;<a class="el" href="a00014.html#a1ca76313cc355df55bebb429273dbf42">vicoquery.h</a></li>
<li>API_MCU_PROTOCOL_VERSION&#160;:&#160;<a class="el" href="a00014.html#a46337d2742c581e71032db1d15d0042d">vicoquery.h</a></li>
<li>API_STATUSTYPE&#160;:&#160;<a class="el" href="a00014.html#a45006cd3a355dbddc0b29c0b73d18abb">vicoquery.h</a></li>
<li>AppCrcInvalid&#160;:&#160;<a class="el" href="a00008.html#a2f2de055f449efdbc64a26b849184922ae793101b692d52ee29c1f68dfa4383d7">types.h</a></li>
<li>Application&#160;:&#160;<a class="el" href="a00008.html#a54fec37e523f1dc73d5fbf62c25c011eabc36c6d0296a73abbbc3c3aeb2a13d0e">types.h</a></li>
<li>applyEthernetConfiguration()&#160;:&#160;<a class="el" href="a00002.html#a7ee61a331e353c08783697b6d93fe913">vicolib.h</a></li>
<li>AUTO_NEGOTIATION&#160;:&#160;<a class="el" href="a00008.html#a45468ea319c6f890e3ca60734afd71c9a53308169760b89a44d594510cd269e74">types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
